---
title: Why wasn't my application for a student developer pack approved?
intro: 'Review common reasons that applications for the {% data variables.product.prodname_student_pack %} are not approved and learn tips for reapplying successfully.'
redirect_from:
  - /education/teach-and-learn-with-github-education/why-wasnt-my-application-for-a-student-developer-pack-approved
  - /github/teaching-and-learning-with-github-education/why-wasnt-my-application-for-a-student-developer-pack-approved
  - /articles/why-was-my-application-for-a-student-developer-pack-denied
  - /articles/why-wasn-t-my-application-for-a-student-developer-pack-approved
  - /articles/why-wasnt-my-application-for-a-student-developer-pack-approved
  - /education/explore-the-benefits-of-teaching-and-learning-with-github-education/why-wasnt-my-application-for-a-student-developer-pack-approved
versions:
  fpt: '*'
shortTitle: Application not approved
---
{% tip %}

**Tip:** {% data reusables.education.about-github-education-link %}

{% endtip %}

## Unclear academic affiliation documents

If the dates or schedule mentioned in your uploaded image do not match our eligibility criteria, we require further proof of your academic status.

If the image you uploaded doesn't clearly identify your current academic status or if the uploaded image is blurry, we require further proof of your academic status. {% data reusables.education.upload-proof-reapply %}

{% data reusables.education.pdf-support %}

## Using an academic email with an unverified domain

If your academic email address has an unverified domain, we require further proof of your academic status. {% data reusables.education.upload-proof-reapply %}

{% data reusables.education.pdf-support %}

## Using an academic email from a school with lax email policies

If your school issues email addresses prior to paid student enrollment, we require further proof of your academic status. {% data reusables.education.upload-proof-reapply %}

{% data reusables.education.pdf-support %}

If you have other questions or concerns about the school domain please ask your school IT staff to contact us.

## Academic email address already used

If your academic email address was already used to request a {% data variables.product.prodname_student_pack %} for a different {% data variables.product.prodname_dotcom %} account, you cannot reuse the academic email address to successfully apply for another {% data variables.product.prodname_student_pack %}.

{% note %}

**Note:** It is against the {% data variables.product.prodname_dotcom %} [Terms of Service](/articles/github-terms-of-service/#3-account-requirements) to maintain more than one individual account.

{% endnote %}

If you have more than one personal user account, you must merge your accounts. To retain the discount, keep the account that was granted the discount. You can rename the retained account and keep your contribution history by adding all your email addresses to the retained account.

For more information, see:
- "[Merging multiple user accounts](/articles/merging-multiple-user-accounts)"
- "[Changing your {% data variables.product.prodname_dotcom %} username](/articles/changing-your-github-username)"
- "[Adding an email address to your {% data variables.product.prodname_dotcom %} account](/articles/adding-an-email-address-to-your-github-account)"

## Ineligible student status

You're ineligible for a {% data variables.product.prodname_student_pack %} if:
- You're enrolled in an informal learning program that is not part of the [{% data variables.product.prodname_campus_program %}](https://education.github.com/schools) and not enrolled in a degree or diploma granting course of study.
- You're pursuing a degree which will be terminated in the current academic session.
- You're under 13 years old.

Your instructor may still apply for a {% data variables.product.prodname_education %} discount for classroom use. If you're a student at a coding school or bootcamp, you will become eligible for a {% data variables.product.prodname_student_pack %} if your school joins the [{% data variables.product.prodname_campus_program %}](https://education.github.com/schools).

## Further reading

- "[How to get the GitHub Student Developer Pack without a student ID](https://github.blog/2019-07-30-how-to-get-the-github-student-developer-pack-without-a-student-id/)" on {% data variables.product.prodname_blog %}
- "[Apply for a student developer pack](/education/explore-the-benefits-of-teaching-and-learning-with-github-education/apply-for-a-student-developer-pack)"
